Add udev rules and scripts for demo platform configuration
[AGL/meta-agl-demo.git] / recipes-core / udev / demo-i2c-udev-conf / hvac-json-in-rewrite.sh
diff --git a/recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh b/recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh
new file mode 100755 (executable)
index 0000000..5557660
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# (C) 2018 Jan-Simon Möller, dl9pf@gmx.de, jsmoeller@linuxfoundation.org
+# License: Apache License 2.0
+
+#set -x
+set -e
+
+if [ $1 ] ; then
+    # The device is always 0009 -> 9 . Only change is the i2c IF .
+    LED=`echo $1 | sed -e "s#0009#9#g"`
+    if [ $? -eq 0 ] ; then
+       echo "$LED"
+       sed -e "s#@DEVICE@#$LED#" /etc/hvac.json.in > /etc/hvac.json
+    else
+       echo "Invalid argument"
+       exit 1
+    fi
+else
+    echo "Need argument"
+    exit 1
+fi
\ No newline at end of file